Data Fields
acc_surface_velocity_handle_t Struct Reference

Surface velocity application context handle. More...

## Data Fields
acc_sensor_t * | sensor
acc_processing_t * | processing
acc_processing_metadata_t | proc_meta
acc_processing_result_t | proc_result
void * | buffer
uint32_t | buffer_size
acc_surface_velocity_config_t | surface_velocity_config
float | max_peak_interval_n
float | sweep_rate
uint16_t | step_length
uint32_t | start_point
float | base_step_length_m
uint16_t | num_distances
uint16_t | sweeps_per_frame
uint16_t | segment_length
uint16_t | padded_segment_length
uint16_t | padded_segment_length_shift
uint16_t | middle_index
int32_t * | double_buffer_filter_buffer
float complex * | frame
float complex * | time_series
float complex * | time_series_buffer
float complex * | fft_out
float * | psds
float * | lp_psds
float * | psd
float * | window
uint32_t * | threshold_check
float * | bin_rad_vs
float * | bin_vertical_vs
uint16_t | update_index
uint16_t | wait_n
float | lp_velocity
float | vertical_v
uint16_t * | peak_indexes
uint16_t | peak_indexes_length
uint16_t | num_peaks
float * | merged_velocities
float * | merged_energies
uint16_t | merged_peaks_length
uint16_t | num_merged_peaks

## Detailed Description

Surface velocity application context handle.

Definition at line 111 of file example_surface_velocity.c.

## Field Documentation

## ◆ base_step_length_m

float acc_surface_velocity_handle_t::base_step_length_m

Definition at line 126 of file example_surface_velocity.c.

## ◆ bin_rad_vs

float* acc_surface_velocity_handle_t::bin_rad_vs

Definition at line 144 of file example_surface_velocity.c.

## ◆ bin_vertical_vs

float* acc_surface_velocity_handle_t::bin_vertical_vs

Definition at line 145 of file example_surface_velocity.c.

## ◆ buffer

void* acc_surface_velocity_handle_t::buffer

Definition at line 117 of file example_surface_velocity.c.

## ◆ buffer_size

uint32_t acc_surface_velocity_handle_t::buffer_size

Definition at line 118 of file example_surface_velocity.c.

## ◆ double_buffer_filter_buffer

int32_t* acc_surface_velocity_handle_t::double_buffer_filter_buffer

Definition at line 134 of file example_surface_velocity.c.

## ◆ fft_out

float complex* acc_surface_velocity_handle_t::fft_out

Definition at line 138 of file example_surface_velocity.c.

## ◆ frame

float complex* acc_surface_velocity_handle_t::frame

Definition at line 135 of file example_surface_velocity.c.

## ◆ lp_psds

float* acc_surface_velocity_handle_t::lp_psds

Definition at line 140 of file example_surface_velocity.c.

## ◆ lp_velocity

float acc_surface_velocity_handle_t::lp_velocity

Definition at line 149 of file example_surface_velocity.c.

## ◆ max_peak_interval_n

float acc_surface_velocity_handle_t::max_peak_interval_n

Definition at line 122 of file example_surface_velocity.c.

## ◆ merged_energies

float* acc_surface_velocity_handle_t::merged_energies

Definition at line 156 of file example_surface_velocity.c.

## ◆ merged_peaks_length

uint16_t acc_surface_velocity_handle_t::merged_peaks_length

Definition at line 157 of file example_surface_velocity.c.

## ◆ merged_velocities

float* acc_surface_velocity_handle_t::merged_velocities

Definition at line 155 of file example_surface_velocity.c.

## ◆ middle_index

uint16_t acc_surface_velocity_handle_t::middle_index

Definition at line 132 of file example_surface_velocity.c.

## ◆ num_distances

uint16_t acc_surface_velocity_handle_t::num_distances

Definition at line 127 of file example_surface_velocity.c.

## ◆ num_merged_peaks

uint16_t acc_surface_velocity_handle_t::num_merged_peaks

Definition at line 158 of file example_surface_velocity.c.

## ◆ num_peaks

uint16_t acc_surface_velocity_handle_t::num_peaks

Definition at line 154 of file example_surface_velocity.c.

## ◆ padded_segment_length

uint16_t acc_surface_velocity_handle_t::padded_segment_length

Definition at line 130 of file example_surface_velocity.c.

## ◆ padded_segment_length_shift

uint16_t acc_surface_velocity_handle_t::padded_segment_length_shift

Definition at line 131 of file example_surface_velocity.c.

## ◆ peak_indexes

uint16_t* acc_surface_velocity_handle_t::peak_indexes

Definition at line 152 of file example_surface_velocity.c.

## ◆ peak_indexes_length

uint16_t acc_surface_velocity_handle_t::peak_indexes_length

Definition at line 153 of file example_surface_velocity.c.

## ◆ proc_meta

acc_processing_metadata_t acc_surface_velocity_handle_t::proc_meta

Definition at line 115 of file example_surface_velocity.c.

## ◆ proc_result

acc_processing_result_t acc_surface_velocity_handle_t::proc_result

Definition at line 116 of file example_surface_velocity.c.

## ◆ processing

acc_processing_t* acc_surface_velocity_handle_t::processing

Definition at line 114 of file example_surface_velocity.c.

## ◆ psd

float* acc_surface_velocity_handle_t::psd

Definition at line 141 of file example_surface_velocity.c.

## ◆ psds

float* acc_surface_velocity_handle_t::psds

Definition at line 139 of file example_surface_velocity.c.

## ◆ segment_length

uint16_t acc_surface_velocity_handle_t::segment_length

Definition at line 129 of file example_surface_velocity.c.

## ◆ sensor

acc_sensor_t* acc_surface_velocity_handle_t::sensor

Definition at line 113 of file example_surface_velocity.c.

## ◆ start_point

uint32_t acc_surface_velocity_handle_t::start_point

Definition at line 125 of file example_surface_velocity.c.

## ◆ step_length

uint16_t acc_surface_velocity_handle_t::step_length

Definition at line 124 of file example_surface_velocity.c.

## ◆ surface_velocity_config

acc_surface_velocity_config_t acc_surface_velocity_handle_t::surface_velocity_config

Definition at line 120 of file example_surface_velocity.c.

## ◆ sweep_rate

float acc_surface_velocity_handle_t::sweep_rate

Definition at line 123 of file example_surface_velocity.c.

## ◆ sweeps_per_frame

uint16_t acc_surface_velocity_handle_t::sweeps_per_frame

Definition at line 128 of file example_surface_velocity.c.

## ◆ threshold_check

uint32_t* acc_surface_velocity_handle_t::threshold_check

Definition at line 143 of file example_surface_velocity.c.

## ◆ time_series

float complex* acc_surface_velocity_handle_t::time_series

Definition at line 136 of file example_surface_velocity.c.

## ◆ time_series_buffer

float complex* acc_surface_velocity_handle_t::time_series_buffer

Definition at line 137 of file example_surface_velocity.c.

## ◆ update_index

uint16_t acc_surface_velocity_handle_t::update_index

Definition at line 147 of file example_surface_velocity.c.

## ◆ vertical_v

float acc_surface_velocity_handle_t::vertical_v

Definition at line 150 of file example_surface_velocity.c.

## ◆ wait_n

uint16_t acc_surface_velocity_handle_t::wait_n

Definition at line 148 of file example_surface_velocity.c.

## ◆ window

float* acc_surface_velocity_handle_t::window

Definition at line 142 of file example_surface_velocity.c.

The documentation for this struct was generated from the following file:

- Src/use_cases/example_apps/example_surface_velocity.c